package gmt.common.type;

public enum SendModeType {
	UNKNOWN("UNKNOWN"),
	BROADCAST_ALL_SERVER("BROADCAST_ALL_SERVER"),
	BROADCAST_ALL_SERVER_TO_SC("BROADCAST_ALL_SERVER_TO_SC"),
	BROADCAST_SERVER("BROADCAST_SERVER"),
	BROADCAST_SERVER_EXECEPT_IP("BROADCAST_SERVER_EXCEPT_IP"),
	SEND_BY_SERVER("SEND_BY_SERVER"),
	SEND_BY_SERVER_TO_SC("SEND_BY_SERVER_TO_SC"),
	BROADCAST_CLIENT("BROADCAST_CLIENT"),
	SEND_BY_CLIENT("SEND_BY_CLIENT"),
	SEND_BY_CLIENT_OF_ID("SEND_BY_CLIENT_OF_ID"),
	BROADCAST_SERIAL("BROADCAST_SERIAL"),
	SEND_BY_SERIAL("SEND_BY_SERIAL"),

	// UDP추가
	BROADCAST_UDP("BROADCAST_UDP"),
	SEND_BY_UDP("SEND_BY_UDP"),
	SEND_BY_UDP_OF_ID("SEND_BY_UDP_OF_ID");
		
	private final String typeName;
	
	private SendModeType(String name) {
		this.typeName = name;
	}
	
	public String getName() {
		return this.typeName;
	}
}
